EddytorDocs & API
Tables

Add a child to a parent in a hierarchical inline domain

Appends a child value under the specified parent in a hierarchical inline domain. **Required scope:** `domains:write`

POST
/v1/tables/{catalog}/{schema}/{table_name}/columns/{column_name}/domain/parents/{parent}/children

Authorization

BearerAuth
AuthorizationBearer <token>

Security scheme for OpenAPI endpoints. Validates both JWT tokens and API keys.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request to add a child value under a hierarchical parent.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/tables/{catalog}/{schema}/{table_name}/columns/{column_name}/domain/parents/{parent}/children" \  -H "Content-Type: application/json" \  -d '{    "child": "string"  }'
{  "column_name": "string",  "domain": {    "type": "string",    "allowed_values": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "value": "string"      }    ],    "parent_column": "string",    "lookup": {      "source": "string",      "mappings": {        "property1": [          {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "value": "string"          }        ],        "property2": [          {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "value": "string"          }        ]      },      "table_name": "string",      "table_path": "string",      "parent_key": "string",      "child_key": "string",      "table_id": "string"    },    "reference_source": {      "table_path": "string",      "table_name": "string",      "column": "string",      "table_id": "string"    }  }}
Empty
Empty
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}